Page MenuHomeFreeBSD

New port emulators/Elliott-803: Emulator and compilers for Elliott 803 computer
ClosedPublic

Authored by hsw_bitmark.com on Jun 30 2020, 6:52 AM.
Tags
None
Referenced Files
Unknown Object (File)
Thu, Apr 18, 6:44 PM
Unknown Object (File)
Sun, Apr 14, 2:41 AM
Unknown Object (File)
Mon, Apr 8, 10:03 AM
Unknown Object (File)
Mon, Apr 8, 6:32 AM
Unknown Object (File)
Mar 14 2024, 2:34 AM
Unknown Object (File)
Feb 29 2024, 7:30 AM
Unknown Object (File)
Feb 18 2024, 8:21 AM
Unknown Object (File)
Feb 1 2024, 7:35 PM
Subscribers

Details

Summary

A minimal emulator for the Elliott 803 computer using a ncurses interface.
It is capable of running the A104 Algol 60 compiler and a later H-Code compiler.

Test Plan

On 12.1-RELEASE using: poudriere testport -j 12_1-amd64 emulators/Elliott-803
On recent current using "port test" and "make package"

test ran "emu803 -i -e hello-a60.script" sucessfully on both systems
using a UTF-8 locale as it uses ncurses in wide char mode

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

It doesn't build on i386: https://gist.github.com/7742b447be280cd14725cf755e2b12aa do you want to fix it or mark amd64 only? Those errors seem mostly format type errors so I guess it's not very hard to fix?

change int64 to use format macros from inttypes.h for 32 bit architecture compatability

This revision was not accepted when it landed; it landed in state Needs Review.Jul 1 2020, 7:21 AM
This revision was automatically updated to reflect the committed changes.